Skip to main content
GET
/
v2
/
account
/
multi-sig-operations
/
{operation-id}
Get multi-sig operation detail
curl --request GET \
  --url https://api.example.com/v2/account/multi-sig-operations/{operation-id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "requesterEmail": "<string>",
  "operationType": "<string>",
  "payload": {},
  "status": "<string>",
  "approvals": 123,
  "minApprovals": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "subAccountId": "<string>",
  "subAccountName": "<string>",
  "executedId": "<string>",
  "approvers": [
    {
      "accessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "hasApproved": true
    }
  ],
  "decodedQuote": {},
  "beneficiary": {}
}

Get multi-sig operation detail

GET request to /v2/account/multi-sig-operations/

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

operation-id
string<uuid>
required

Response

OK

id
string<uuid>
requesterEmail
string
operationType
string
payload
object
status
string
approvals
integer<int32>
minApprovals
integer<int32>
createdAt
string<date-time>
subAccountId
string
subAccountName
string
executedId
string
approvers
object[]
decodedQuote
object
beneficiary
object